;;+++++++
;;+  0  +
;;+A+ +a+
;;+B+ +b+
;;+C+ +c+
;;+D+ +d+
;;+E+ +e+
;;+F+ +f+
;;+G+ +g+
;;+++++++


(define (problem tourney)
	(:domain robots)
	(:objects
		l-1-1 l-1-2 l-1-3 l-1-4 l-1-5 l-1-6 l-1-7 l-1-8 l-2-1 l-3-1 l-3-2 l-3-3 l-3-4 l-3-5 l-3-6 l-3-7 l-3-8 l-4-1 l-5-1 l-5-2 l-5-3 l-5-4 l-5-5 l-5-6 l-5-7 l-5-8 - location
		ag0  - agent
		box650 box661 box672 box683 box694 box705 box716 - box
		g970 g981 g992 g1003 g1014 g1025 g1036 - goal
		A C B E D G F - letter
	)
	(:init
		( free l-1-1 )
		( free l-2-1 )
		( at ag0 l-3-1 )
		( free l-4-1 )
		( free l-5-1 )
		( free l-3-2 )
		( free l-5-2 )
		( free l-3-3 )
		( free l-5-3 )
		( free l-3-4 )
		( free l-5-4 )
		( free l-3-5 )
		( free l-5-5 )
		( free l-3-6 )
		( free l-5-6 )
		( free l-3-7 )
		( free l-5-7 )
		( free l-3-8 )
		( free l-5-8 )
		( neigh l-1-3 l-1-2 no )
		( neigh l-1-3 l-1-4 so )
		( neigh l-5-6 l-5-5 no )
		( neigh l-5-6 l-5-7 so )
		( neigh l-5-4 l-5-3 no )
		( neigh l-5-4 l-5-5 so )
		( neigh l-2-1 l-1-1 we )
		( neigh l-2-1 l-3-1 es )
		( neigh l-1-6 l-1-5 no )
		( neigh l-1-6 l-1-7 so )
		( neigh l-5-1 l-4-1 we )
		( neigh l-5-1 l-5-2 so )
		( neigh l-3-7 l-3-6 no )
		( neigh l-3-7 l-3-8 so )
		( neigh l-5-8 l-5-7 no )
		( neigh l-1-2 l-1-1 no )
		( neigh l-1-2 l-1-3 so )
		( neigh l-3-3 l-3-2 no )
		( neigh l-3-3 l-3-4 so )
		( neigh l-1-5 l-1-4 no )
		( neigh l-1-5 l-1-6 so )
		( neigh l-3-6 l-3-5 no )
		( neigh l-3-6 l-3-7 so )
		( neigh l-5-7 l-5-6 no )
		( neigh l-5-7 l-5-8 so )
		( neigh l-3-5 l-3-4 no )
		( neigh l-3-5 l-3-6 so )
		( neigh l-4-1 l-3-1 we )
		( neigh l-4-1 l-5-1 es )
		( neigh l-1-1 l-2-1 es )
		( neigh l-1-1 l-1-2 so )
		( neigh l-3-2 l-3-1 no )
		( neigh l-3-2 l-3-3 so )
		( neigh l-1-4 l-1-3 no )
		( neigh l-1-4 l-1-5 so )
		( neigh l-5-5 l-5-4 no )
		( neigh l-5-5 l-5-6 so )
		( neigh l-5-3 l-5-2 no )
		( neigh l-5-3 l-5-4 so )
		( neigh l-3-4 l-3-3 no )
		( neigh l-3-4 l-3-5 so )
		( neigh l-3-1 l-2-1 we )
		( neigh l-3-1 l-4-1 es )
		( neigh l-3-1 l-3-2 so )
		( neigh l-3-8 l-3-7 no )
		( neigh l-1-8 l-1-7 no )
		( neigh l-1-7 l-1-6 no )
		( neigh l-1-7 l-1-8 so )
		( neigh l-5-2 l-5-1 no )
		( neigh l-5-2 l-5-3 so )
		( GOALAT g970 l-5-2 )
		( GOALLETTER g970 A )
		( GOALAT g981 l-5-3 )
		( GOALLETTER g981 B )
		( GOALAT g992 l-5-4 )
		( GOALLETTER g992 C )
		( GOALAT g1003 l-5-5 )
		( GOALLETTER g1003 D )
		( GOALAT g1014 l-5-6 )
		( GOALLETTER g1014 E )
		( GOALAT g1025 l-5-7 )
		( GOALLETTER g1025 F )
		( GOALAT g1036 l-5-8 )
		( GOALLETTER g1036 G )
		( at box650 l-1-2 )
		( BOXLETTER box650 A )
		( at box661 l-1-3 )
		( BOXLETTER box661 B )
		( at box672 l-1-4 )
		( BOXLETTER box672 C )
		( at box683 l-1-5 )
		( BOXLETTER box683 D )
		( at box694 l-1-6 )
		( BOXLETTER box694 E )
		( at box705 l-1-7 )
		( BOXLETTER box705 F )
		( at box716 l-1-8 )
		( BOXLETTER box716 G )
		( CANMOVE ag0 box650 )
		( CANMOVE ag0 box661 )
		( CANMOVE ag0 box672 )
		( CANMOVE ag0 box683 )
		( CANMOVE ag0 box694 )
		( CANMOVE ag0 box705 )
		( CANMOVE ag0 box716 )
	)
	(:goal
		( forall ( ?g - goal )
			( exists ( ?l - location ?b - box ?let - letter )
				( and (GOALAT ?g ?l ) (GOALLETTER ?g ?let ) (BOXLETTER ?b ?let ) (at ?b ?l ) )
			)
		)
	)
)