;;++++++++
;;+0+  cb+
;;+ A+ ad+
;;+ +B+  +
;;+  DC+ +
;;+ ++++ + 
;;+      +
;;++++++++

(define (problem tourney)
	(:domain robots)
	(:objects
		l-1-1 l-1-2 l-1-3 l-1-4 l-1-5 l-1-6 l-2-2 l-2-4 l-2-6 l-3-1 l-3-3 l-3-4 l-3-6 l-4-1 l-4-2 l-4-4 l-4-6 l-5-1 l-5-2 l-5-3 l-5-6 l-6-1 l-6-2 l-6-3 l-6-4 l-6-5 l-6-6 - location
		ag0  - agent
		box650 box661 box682 box673 - box
		g990 g981 g972 g1003 - goal
		A C B D - letter
	)
	(:init
		( at ag0 l-1-1 )
		( free l-3-1 )
		( free l-4-1 )
		( free l-5-1 )
		( free l-6-1 )
		( free l-1-2 )
		( free l-4-2 )
		( free l-5-2 )
		( free l-6-2 )
		( free l-1-3 )
		( free l-5-3 )
		( free l-6-3 )
		( free l-1-4 )
		( free l-2-4 )
		( free l-6-4 )
		( free l-1-5 )
		( free l-6-5 )
		( free l-1-6 )
		( free l-2-6 )
		( free l-3-6 )
		( free l-4-6 )
		( free l-5-6 )
		( free l-6-6 )
		( neigh l-1-3 l-1-2 no )
		( neigh l-1-3 l-1-4 so )
		( neigh l-6-6 l-5-6 we )
		( neigh l-6-6 l-6-5 no )
		( neigh l-5-6 l-4-6 we )
		( neigh l-5-6 l-6-6 es )
		( neigh l-6-2 l-5-2 we )
		( neigh l-6-2 l-6-1 no )
		( neigh l-6-2 l-6-3 so )
		( neigh l-1-6 l-2-6 es )
		( neigh l-1-6 l-1-5 no )
		( neigh l-5-1 l-4-1 we )
		( neigh l-5-1 l-6-1 es )
		( neigh l-5-1 l-5-2 so )
		( neigh l-1-2 l-2-2 es )
		( neigh l-1-2 l-1-1 no )
		( neigh l-1-2 l-1-3 so )
		( neigh l-3-3 l-3-4 so )
		( neigh l-4-4 l-3-4 we )
		( neigh l-6-3 l-5-3 we )
		( neigh l-6-3 l-6-2 no )
		( neigh l-6-3 l-6-4 so )
		( neigh l-1-5 l-1-4 no )
		( neigh l-1-5 l-1-6 so )
		( neigh l-3-6 l-2-6 we )
		( neigh l-3-6 l-4-6 es )
		( neigh l-2-2 l-1-2 we )
		( neigh l-4-1 l-3-1 we )
		( neigh l-4-1 l-5-1 es )
		( neigh l-4-1 l-4-2 so )
		( neigh l-1-1 l-1-2 so )
		( neigh l-6-4 l-6-3 no )
		( neigh l-6-4 l-6-5 so )
		( neigh l-2-6 l-1-6 we )
		( neigh l-2-6 l-3-6 es )
		( neigh l-1-4 l-2-4 es )
		( neigh l-1-4 l-1-3 no )
		( neigh l-1-4 l-1-5 so )
		( neigh l-4-2 l-5-2 es )
		( neigh l-4-2 l-4-1 no )
		( neigh l-6-5 l-6-4 no )
		( neigh l-6-5 l-6-6 so )
		( neigh l-5-3 l-6-3 es )
		( neigh l-5-3 l-5-2 no )
		( neigh l-4-6 l-3-6 we )
		( neigh l-4-6 l-5-6 es )
		( neigh l-3-4 l-2-4 we )
		( neigh l-3-4 l-4-4 es )
		( neigh l-3-4 l-3-3 no )
		( neigh l-6-1 l-5-1 we )
		( neigh l-6-1 l-6-2 so )
		( neigh l-3-1 l-4-1 es )
		( neigh l-5-2 l-4-2 we )
		( neigh l-5-2 l-6-2 es )
		( neigh l-5-2 l-5-1 no )
		( neigh l-5-2 l-5-3 so )
		( neigh l-2-4 l-1-4 we )
		( neigh l-2-4 l-3-4 es )
		( GOALAT g990 l-5-1 )
		( GOALLETTER g990 C )
		( GOALAT g981 l-6-1 )
		( GOALLETTER g981 B )
		( GOALAT g972 l-5-2 )
		( GOALLETTER g972 A )
		( GOALAT g1003 l-6-2 )
		( GOALLETTER g1003 D )
		( at box650 l-2-2 )
		( BOXLETTER box650 A )
		( at box661 l-3-3 )
		( BOXLETTER box661 B )
		( at box682 l-3-4 )
		( BOXLETTER box682 D )
		( at box673 l-4-4 )
		( BOXLETTER box673 C )
		( CANMOVE ag0 box650 )
		( CANMOVE ag0 box661 )
		( CANMOVE ag0 box682 )
		( CANMOVE ag0 box673 )
	)
	(:goal
		( forall ( ?g - goal )
			( exists ( ?l - location ?b - box ?let - letter )
				( and (GOALAT ?g ?l ) (GOALLETTER ?g ?let ) (BOXLETTER ?b ?let ) (at ?b ?l ) )
			)
		)
	)
)