;;+++++++++
;;+  DCB  +
;;+    A  +
;;+0+++++++
;;+ +
;;+ +
;;+d+
;;+c+
;;+b+
;;+a+
;;+++

(define (problem tourney)
	(:domain robots)
	(:objects
		l-1-1 l-1-2 l-1-3 l-1-4 l-1-5 l-1-6 l-1-7 l-1-8 l-1-9 l-2-1 l-2-2 l-3-1 l-3-2 l-4-1 l-4-2 l-5-1 l-5-2 l-6-1 l-6-2 l-7-1 l-7-2 - location
		ag0  - agent
		box680 box671 box662 box653 - box
		g1000 g991 g982 g973 - goal
		A C B D - letter
	)
	(:init
		( free l-1-1 )
		( free l-2-1 )
		( free l-6-1 )
		( free l-7-1 )
		( free l-1-2 )
		( free l-2-2 )
		( free l-3-2 )
		( free l-4-2 )
		( free l-6-2 )
		( free l-7-2 )
		( at ag0 l-1-3 )
		( free l-1-4 )
		( free l-1-5 )
		( free l-1-6 )
		( free l-1-7 )
		( free l-1-8 )
		( free l-1-9 )
		( neigh l-1-2 l-2-2 es )
		( neigh l-1-2 l-1-1 no )
		( neigh l-1-2 l-1-3 so )
		( neigh l-3-2 l-2-2 we )
		( neigh l-3-2 l-4-2 es )
		( neigh l-3-2 l-3-1 no )
		( neigh l-1-3 l-1-2 no )
		( neigh l-1-3 l-1-4 so )
		( neigh l-7-1 l-6-1 we )
		( neigh l-7-1 l-7-2 so )
		( neigh l-5-2 l-4-2 we )
		( neigh l-5-2 l-6-2 es )
		( neigh l-5-2 l-5-1 no )
		( neigh l-6-1 l-5-1 we )
		( neigh l-6-1 l-7-1 es )
		( neigh l-6-1 l-6-2 so )
		( neigh l-3-1 l-2-1 we )
		( neigh l-3-1 l-4-1 es )
		( neigh l-3-1 l-3-2 so )
		( neigh l-2-1 l-1-1 we )
		( neigh l-2-1 l-3-1 es )
		( neigh l-2-1 l-2-2 so )
		( neigh l-1-7 l-1-6 no )
		( neigh l-1-7 l-1-8 so )
		( neigh l-4-2 l-3-2 we )
		( neigh l-4-2 l-5-2 es )
		( neigh l-4-2 l-4-1 no )
		( neigh l-1-8 l-1-7 no )
		( neigh l-1-8 l-1-9 so )
		( neigh l-6-2 l-5-2 we )
		( neigh l-6-2 l-7-2 es )
		( neigh l-6-2 l-6-1 no )
		( neigh l-1-6 l-1-5 no )
		( neigh l-1-6 l-1-7 so )
		( neigh l-1-4 l-1-3 no )
		( neigh l-1-4 l-1-5 so )
		( neigh l-1-9 l-1-8 no )
		( neigh l-2-2 l-1-2 we )
		( neigh l-2-2 l-3-2 es )
		( neigh l-2-2 l-2-1 no )
		( neigh l-5-1 l-4-1 we )
		( neigh l-5-1 l-6-1 es )
		( neigh l-5-1 l-5-2 so )
		( neigh l-4-1 l-3-1 we )
		( neigh l-4-1 l-5-1 es )
		( neigh l-4-1 l-4-2 so )
		( neigh l-1-1 l-2-1 es )
		( neigh l-1-1 l-1-2 so )
		( neigh l-7-2 l-6-2 we )
		( neigh l-7-2 l-7-1 no )
		( neigh l-1-5 l-1-4 no )
		( neigh l-1-5 l-1-6 so )
		( GOALAT g1000 l-1-6 )
		( GOALLETTER g1000 D )
		( GOALAT g991 l-1-7 )
		( GOALLETTER g991 C )
		( GOALAT g982 l-1-8 )
		( GOALLETTER g982 B )
		( GOALAT g973 l-1-9 )
		( GOALLETTER g973 A )
		( at box680 l-3-1 )
		( BOXLETTER box680 D )
		( at box671 l-4-1 )
		( BOXLETTER box671 C )
		( at box662 l-5-1 )
		( BOXLETTER box662 B )
		( at box653 l-5-2 )
		( BOXLETTER box653 A )
		( CANMOVE ag0 box680 )
		( CANMOVE ag0 box671 )
		( CANMOVE ag0 box662 )
		( CANMOVE ag0 box653 )
	)
	(:goal
		( forall ( ?g - goal )
			( exists ( ?l - location ?b - box ?let - letter )
				( and (GOALAT ?g ?l ) (GOALLETTER ?g ?let ) (BOXLETTER ?b ?let ) (at ?b ?l ) )
			)
		)
	)
)