;;++++++++++
;;+0   BB a+
;;+A +++b+++
;;++++++++++

(define (problem tourney)
	(:domain robots)
	(:objects
		l-1-1 l-1-2 l-2-1 l-2-2 l-3-1 l-4-1 l-5-1 l-6-1 l-6-2 l-7-1 l-8-1 - location
		ag0  - agent
		box660 box661 box652 - box
		g970 g981 - goal
		A B - letter
	)
	(:init
		( at ag0 l-1-1 )
		( free l-2-1 )
		( free l-3-1 )
		( free l-4-1 )
		( free l-7-1 )
		( free l-8-1 )
		( free l-2-2 )
		( free l-6-2 )
		( neigh l-1-2 l-2-2 es )
		( neigh l-1-2 l-1-1 no )
		( neigh l-7-1 l-6-1 we )
		( neigh l-7-1 l-8-1 es )
		( neigh l-8-1 l-7-1 we )
		( neigh l-6-1 l-5-1 we )
		( neigh l-6-1 l-7-1 es )
		( neigh l-6-1 l-6-2 so )
		( neigh l-3-1 l-2-1 we )
		( neigh l-3-1 l-4-1 es )
		( neigh l-2-1 l-1-1 we )
		( neigh l-2-1 l-3-1 es )
		( neigh l-2-1 l-2-2 so )
		( neigh l-6-2 l-6-1 no )
		( neigh l-2-2 l-1-2 we )
		( neigh l-2-2 l-2-1 no )
		( neigh l-5-1 l-4-1 we )
		( neigh l-5-1 l-6-1 es )
		( neigh l-4-1 l-3-1 we )
		( neigh l-4-1 l-5-1 es )
		( neigh l-1-1 l-2-1 es )
		( neigh l-1-1 l-1-2 so )
		( GOALAT g970 l-8-1 )
		( GOALLETTER g970 A )
		( GOALAT g981 l-6-2 )
		( GOALLETTER g981 B )
		( at box660 l-5-1 )
		( BOXLETTER box660 B )
		( at box661 l-6-1 )
		( BOXLETTER box661 B )
		( at box652 l-1-2 )
		( BOXLETTER box652 A )
		( CANMOVE ag0 box660 )
		( CANMOVE ag0 box661 )
		( CANMOVE ag0 box652 )
	)
	(:goal
		( forall ( ?g - goal )
			( exists ( ?l - location ?b - box ?let - letter )
				( and (GOALAT ?g ?l ) (GOALLETTER ?g ?let ) (BOXLETTER ?b ?let ) (at ?b ?l ) )
			)
		)
	)
)