;;++++++++++++++++++++++
;;+b  ABCD       E acde+
;;++++++++++ +++++++++++
;;         + +
;;        ++ ++
;;        + 0 +
;;        + + +
;;        +   +
;;        +++++

(define (problem tourney)
	(:domain robots)
	(:objects
		l-1-1 l-2-1 l-3-1 l-4-1 l-5-1 l-6-1 l-7-1 l-8-1 l-9-1 l-9-5 l-9-6 l-9-7 l-10-1 l-10-2 l-10-3 l-10-4 l-10-5 l-10-7 l-11-1 l-11-5 l-11-6 l-11-7 l-12-1 l-13-1 l-14-1 l-15-1 l-16-1 l-17-1 l-18-1 l-19-1 l-20-1 - location
		ag0  - agent
		box650 box661 box672 box683 box694 - box
		g980 g971 g992 g1003 g1014 - goal
		A C B E D - letter
	)
	(:init
		( free l-1-1 )
		( free l-2-1 )
		( free l-3-1 )
		( free l-8-1 )
		( free l-9-1 )
		( free l-10-1 )
		( free l-11-1 )
		( free l-12-1 )
		( free l-13-1 )
		( free l-14-1 )
		( free l-16-1 )
		( free l-17-1 )
		( free l-18-1 )
		( free l-19-1 )
		( free l-20-1 )
		( free l-10-2 )
		( free l-10-3 )
		( free l-10-4 )
		( free l-9-5 )
		( at ag0 l-10-5 )
		( free l-11-5 )
		( free l-9-6 )
		( free l-11-6 )
		( free l-9-7 )
		( free l-10-7 )
		( free l-11-7 )
		( neigh l-12-1 l-11-1 we )
		( neigh l-12-1 l-13-1 es )
		( neigh l-9-1 l-8-1 we )
		( neigh l-9-1 l-10-1 es )
		( neigh l-11-7 l-10-7 we )
		( neigh l-11-7 l-11-6 no )
		( neigh l-2-1 l-1-1 we )
		( neigh l-2-1 l-3-1 es )
		( neigh l-15-1 l-14-1 we )
		( neigh l-15-1 l-16-1 es )
		( neigh l-5-1 l-4-1 we )
		( neigh l-5-1 l-6-1 es )
		( neigh l-10-3 l-10-2 no )
		( neigh l-10-3 l-10-4 so )
		( neigh l-18-1 l-17-1 we )
		( neigh l-18-1 l-19-1 es )
		( neigh l-11-5 l-10-5 we )
		( neigh l-11-5 l-11-6 so )
		( neigh l-8-1 l-7-1 we )
		( neigh l-8-1 l-9-1 es )
		( neigh l-14-1 l-13-1 we )
		( neigh l-14-1 l-15-1 es )
		( neigh l-11-1 l-10-1 we )
		( neigh l-11-1 l-12-1 es )
		( neigh l-4-1 l-3-1 we )
		( neigh l-4-1 l-5-1 es )
		( neigh l-1-1 l-2-1 es )
		( neigh l-9-7 l-10-7 es )
		( neigh l-9-7 l-9-6 no )
		( neigh l-10-4 l-10-3 no )
		( neigh l-10-4 l-10-5 so )
		( neigh l-7-1 l-6-1 we )
		( neigh l-7-1 l-8-1 es )
		( neigh l-20-1 l-19-1 we )
		( neigh l-17-1 l-16-1 we )
		( neigh l-17-1 l-18-1 es )
		( neigh l-10-1 l-9-1 we )
		( neigh l-10-1 l-11-1 es )
		( neigh l-10-1 l-10-2 so )
		( neigh l-9-6 l-9-5 no )
		( neigh l-9-6 l-9-7 so )
		( neigh l-13-1 l-12-1 we )
		( neigh l-13-1 l-14-1 es )
		( neigh l-10-5 l-9-5 we )
		( neigh l-10-5 l-11-5 es )
		( neigh l-10-5 l-10-4 no )
		( neigh l-6-1 l-5-1 we )
		( neigh l-6-1 l-7-1 es )
		( neigh l-3-1 l-2-1 we )
		( neigh l-3-1 l-4-1 es )
		( neigh l-16-1 l-15-1 we )
		( neigh l-16-1 l-17-1 es )
		( neigh l-10-7 l-9-7 we )
		( neigh l-10-7 l-11-7 es )
		( neigh l-9-5 l-10-5 es )
		( neigh l-9-5 l-9-6 so )
		( neigh l-19-1 l-18-1 we )
		( neigh l-19-1 l-20-1 es )
		( neigh l-11-6 l-11-5 no )
		( neigh l-11-6 l-11-7 so )
		( neigh l-10-2 l-10-1 no )
		( neigh l-10-2 l-10-3 so )
		( GOALAT g980 l-1-1 )
		( GOALLETTER g980 B )
		( GOALAT g971 l-17-1 )
		( GOALLETTER g971 A )
		( GOALAT g992 l-18-1 )
		( GOALLETTER g992 C )
		( GOALAT g1003 l-19-1 )
		( GOALLETTER g1003 D )
		( GOALAT g1014 l-20-1 )
		( GOALLETTER g1014 E )
		( at box650 l-4-1 )
		( BOXLETTER box650 A )
		( at box661 l-5-1 )
		( BOXLETTER box661 B )
		( at box672 l-6-1 )
		( BOXLETTER box672 C )
		( at box683 l-7-1 )
		( BOXLETTER box683 D )
		( at box694 l-15-1 )
		( BOXLETTER box694 E )
		( CANMOVE ag0 box650 )
		( CANMOVE ag0 box661 )
		( CANMOVE ag0 box672 )
		( CANMOVE ag0 box683 )
		( CANMOVE ag0 box694 )
	)
	(:goal
		( forall ( ?g - goal )
			( exists ( ?l - location ?b - box ?let - letter )
				( and (GOALAT ?g ?l ) (GOALLETTER ?g ?let ) (BOXLETTER ?b ?let ) (at ?b ?l ) )
			)
		)
	)
)