;;++++++++++++
;;+0      B+A+
;;+ ++++++++a+
;;+          +
;;+ ++++++++C+
;;+b+c       +
;;++++++++++++


(define (problem tourney)
	(:domain robots)
	(:objects
		l-1-1 l-1-2 l-1-3 l-1-4 l-1-5 l-2-1 l-2-3 l-3-1 l-3-3 l-3-5 l-4-1 l-4-3 l-4-5 l-5-1 l-5-3 l-5-5 l-6-1 l-6-3 l-6-5 l-7-1 l-7-3 l-7-5 l-8-1 l-8-3 l-8-5 l-9-3 l-9-5 l-10-1 l-10-2 l-10-3 l-10-4 l-10-5 - location
		ag0  - agent
		box660 box651 box672 - box
		g970 g981 g992 - goal
		A C B - letter
	)
	(:init
		( at ag0 l-1-1 )
		( free l-2-1 )
		( free l-3-1 )
		( free l-4-1 )
		( free l-5-1 )
		( free l-6-1 )
		( free l-7-1 )
		( free l-1-2 )
		( free l-10-2 )
		( free l-1-3 )
		( free l-2-3 )
		( free l-3-3 )
		( free l-4-3 )
		( free l-5-3 )
		( free l-6-3 )
		( free l-7-3 )
		( free l-8-3 )
		( free l-9-3 )
		( free l-10-3 )
		( free l-1-4 )
		( free l-1-5 )
		( free l-3-5 )
		( free l-4-5 )
		( free l-5-5 )
		( free l-6-5 )
		( free l-7-5 )
		( free l-8-5 )
		( free l-9-5 )
		( free l-10-5 )
		( neigh l-7-3 l-6-3 we )
		( neigh l-7-3 l-8-3 es )
		( neigh l-1-3 l-2-3 es )
		( neigh l-1-3 l-1-2 no )
		( neigh l-1-3 l-1-4 so )
		( neigh l-10-5 l-9-5 we )
		( neigh l-10-5 l-10-4 no )
		( neigh l-2-1 l-1-1 we )
		( neigh l-2-1 l-3-1 es )
		( neigh l-5-1 l-4-1 we )
		( neigh l-5-1 l-6-1 es )
		( neigh l-10-3 l-9-3 we )
		( neigh l-10-3 l-10-2 no )
		( neigh l-10-3 l-10-4 so )
		( neigh l-1-2 l-1-1 no )
		( neigh l-1-2 l-1-3 so )
		( neigh l-3-3 l-2-3 we )
		( neigh l-3-3 l-4-3 es )
		( neigh l-8-1 l-7-1 we )
		( neigh l-8-5 l-7-5 we )
		( neigh l-8-5 l-9-5 es )
		( neigh l-6-3 l-5-3 we )
		( neigh l-6-3 l-7-3 es )
		( neigh l-1-5 l-1-4 no )
		( neigh l-3-5 l-4-5 es )
		( neigh l-4-1 l-3-1 we )
		( neigh l-4-1 l-5-1 es )
		( neigh l-1-1 l-2-1 es )
		( neigh l-1-1 l-1-2 so )
		( neigh l-10-4 l-10-3 no )
		( neigh l-10-4 l-10-5 so )
		( neigh l-7-1 l-6-1 we )
		( neigh l-7-1 l-8-1 es )
		( neigh l-4-5 l-3-5 we )
		( neigh l-4-5 l-5-5 es )
		( neigh l-9-3 l-8-3 we )
		( neigh l-9-3 l-10-3 es )
		( neigh l-5-5 l-4-5 we )
		( neigh l-5-5 l-6-5 es )
		( neigh l-1-4 l-1-3 no )
		( neigh l-1-4 l-1-5 so )
		( neigh l-7-5 l-6-5 we )
		( neigh l-7-5 l-8-5 es )
		( neigh l-2-3 l-1-3 we )
		( neigh l-2-3 l-3-3 es )
		( neigh l-10-1 l-10-2 so )
		( neigh l-6-5 l-5-5 we )
		( neigh l-6-5 l-7-5 es )
		( neigh l-5-3 l-4-3 we )
		( neigh l-5-3 l-6-3 es )
		( neigh l-8-3 l-7-3 we )
		( neigh l-8-3 l-9-3 es )
		( neigh l-6-1 l-5-1 we )
		( neigh l-6-1 l-7-1 es )
		( neigh l-3-1 l-2-1 we )
		( neigh l-3-1 l-4-1 es )
		( neigh l-4-3 l-3-3 we )
		( neigh l-4-3 l-5-3 es )
		( neigh l-9-5 l-8-5 we )
		( neigh l-9-5 l-10-5 es )
		( neigh l-10-2 l-10-1 no )
		( neigh l-10-2 l-10-3 so )
		( GOALAT g970 l-10-2 )
		( GOALLETTER g970 A )
		( GOALAT g981 l-1-5 )
		( GOALLETTER g981 B )
		( GOALAT g992 l-3-5 )
		( GOALLETTER g992 C )
		( at box660 l-8-1 )
		( BOXLETTER box660 B )
		( at box651 l-10-1 )
		( BOXLETTER box651 A )
		( at box672 l-10-4 )
		( BOXLETTER box672 C )
		( CANMOVE ag0 box660 )
		( CANMOVE ag0 box651 )
		( CANMOVE ag0 box672 )
	)
	(:goal
		( forall ( ?g - goal )
			( exists ( ?l - location ?b - box ?let - letter )
				( and (GOALAT ?g ?l ) (GOALLETTER ?g ?let ) (BOXLETTER ?b ?let ) (at ?b ?l ) )
			)
		)
	)
)